# TabPanel (w-tab-panel)

## Description

Tab panel component that holds content for individual tabs.

Each tab panel should have a name that matches a corresponding tab.

[Warp component reference](https://warp-ds.github.io/docs/components/tabs/frameworks/elements)

### `<w-tab-panel>` API

#### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| id | `string` | `-` | Required so `<w-tab>` has something to target. |

#### Property Details

##### id

Required so `<w-tab>` has something to target.

- Type: `string`
- Default: `-`

